#= Makefile for dcpam/src/setup
#
# Authors::   Yoshiyuki O. Takahashi, Yasuhiro MORIKAWA, Shin-ichi Takehiro
# Version::   $Id: Makefile,v 1.8 2025/09/18 10:00:00 takepiro Exp $
# Tag Name::  $Name:  $
# Copyright:: Copyright (C) GFD Dennou Club, 2008-2025. All rights reserved.
# License::   See COPYRIGHT[link:../../COPYRIGHT]
#
######################################################################
#
#== Settings

DIRDEPTH=../..
INCLUDEFILE = $(DIRDEPTH)/Config.mk
include $(INCLUDEFILE)

OBJS = option_parser.o namelist_util.o fileset.o \
	gridset.o timeset.o axesset.o constants0.o constants.o constants_snowseaice.o composition.o \
	mpi_wrapper.o mpi_messagecntl.o

TESTS = 
CLEAN_TESTS = $(TESTS:%.sh=%.o) $(TESTS:%.sh=%)

TMPFILES =

RUBYLIB = $(RUBYF90LIB)
RB2F90 = 

# End Settings
######################################################################

######################################################################
#== Rules

all: $(LIBDIR)/$(DCPAMLIB)

include $(DIRDEPTH)/rules.make

clean.all: clean clean.lib

include depend

# gridset_zonal.f90: gridset.F90
# 	$(CPP) -DAXISYMMETRY $? > $@

# axesset_zonal.f90: axesset.F90
# 	$(CPP) -DAXISYMMETRY $? > $@

#=== rb2f90
